/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

DROP TABLE IF EXISTS `wpkittn_commentmeta`;

CREATE TABLE `wpkittn_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

DROP TABLE IF EXISTS `wpkittn_comments`;

CREATE TABLE `wpkittn_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_comments` WRITE;
/*!40000 ALTER TABLE `wpkittn_comments` DISABLE KEYS */;

INSERT INTO `wpkittn_comments` (`comment_ID`, `comment_post_ID`, `comment_author`, `comment_author_email`, `comment_author_url`, `comment_author_IP`, `comment_date`, `comment_date_gmt`, `comment_content`, `comment_karma`, `comment_approved`, `comment_agent`, `comment_type`, `comment_parent`, `user_id`)
VALUES
	(1,1,'Ein WordPress-Kommentator','wapuu@wordpress.example','https://wordpress.org/','','2017-07-02 23:17:30','2017-07-02 21:17:30','Hallo, dies ist ein Kommentar.\nUm mit dem Freischalten, Bearbeiten und Löschen von Kommentaren zu beginnen, besuche bitte die Kommentare-Ansicht im Dashboard.\nDie Avatare der Kommentatoren kommen von <a href=\"https://gravatar.com\">Gravatar</a>.',0,'1','','',0,0);

/*!40000 ALTER TABLE `wpkittn_comments` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `wpkittn_links`;

CREATE TABLE `wpkittn_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

DROP TABLE IF EXISTS `wpkittn_options`;

CREATE TABLE `wpkittn_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_options` WRITE;
/*!40000 ALTER TABLE `wpkittn_options` DISABLE KEYS */;

INSERT INTO `wpkittn_options` (`option_id`, `option_name`, `option_value`, `autoload`)
VALUES
	(1,'siteurl','http://wptest3.local','yes'),
	(2,'home','http://wptest3.local','yes'),
	(3,'blogname','kittn','yes'),
	(4,'blogdescription','Eine weitere WordPress-Website','yes'),
	(5,'users_can_register','0','yes'),
	(6,'admin_email','hello@kittn.de','yes'),
	(7,'start_of_week','1','yes'),
	(8,'use_balanceTags','0','yes'),
	(9,'use_smilies','1','yes'),
	(10,'require_name_email','1','yes'),
	(11,'comments_notify','1','yes'),
	(12,'posts_per_rss','10','yes'),
	(13,'rss_use_excerpt','0','yes'),
	(14,'mailserver_url','mail.example.com','yes'),
	(15,'mailserver_login','login@example.com','yes'),
	(16,'mailserver_pass','password','yes'),
	(17,'mailserver_port','110','yes'),
	(18,'default_category','1','yes'),
	(19,'default_comment_status','open','yes'),
	(20,'default_ping_status','open','yes'),
	(21,'default_pingback_flag','0','yes'),
	(22,'posts_per_page','10','yes'),
	(23,'date_format','j. F Y','yes'),
	(24,'time_format','G:i','yes'),
	(25,'links_updated_date_format','j. F Y G:i','yes'),
	(26,'comment_moderation','0','yes'),
	(27,'moderation_notify','1','yes'),
	(28,'permalink_structure','/%year%/%monthnum%/%day%/%postname%/','yes'),
	(29,'rewrite_rules','a:90:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}','yes'),
	(30,'hack_file','0','yes'),
	(31,'blog_charset','UTF-8','yes'),
	(32,'moderation_keys','','no'),
	(33,'active_plugins','a:0:{}','yes'),
	(34,'category_base','','yes'),
	(35,'ping_sites','http://rpc.pingomatic.com/','yes'),
	(36,'comment_max_links','2','yes'),
	(37,'gmt_offset','0','yes'),
	(38,'default_email_category','1','yes'),
	(39,'recently_edited','','no'),
	(40,'template','twentyseventeen','yes'),
	(41,'stylesheet','twentyseventeen','yes'),
	(42,'comment_whitelist','1','yes'),
	(43,'blacklist_keys','','no'),
	(44,'comment_registration','0','yes'),
	(45,'html_type','text/html','yes'),
	(46,'use_trackback','0','yes'),
	(47,'default_role','subscriber','yes'),
	(48,'db_version','38590','yes'),
	(49,'uploads_use_yearmonth_folders','1','yes'),
	(50,'upload_path','','yes'),
	(51,'blog_public','0','yes'),
	(52,'default_link_category','2','yes'),
	(53,'show_on_front','posts','yes'),
	(54,'tag_base','','yes'),
	(55,'show_avatars','1','yes'),
	(56,'avatar_rating','G','yes'),
	(57,'upload_url_path','','yes'),
	(58,'thumbnail_size_w','150','yes'),
	(59,'thumbnail_size_h','150','yes'),
	(60,'thumbnail_crop','1','yes'),
	(61,'medium_size_w','300','yes'),
	(62,'medium_size_h','300','yes'),
	(63,'avatar_default','mystery','yes'),
	(64,'large_size_w','1024','yes'),
	(65,'large_size_h','1024','yes'),
	(66,'image_default_link_type','none','yes'),
	(67,'image_default_size','','yes'),
	(68,'image_default_align','','yes'),
	(69,'close_comments_for_old_posts','0','yes'),
	(70,'close_comments_days_old','14','yes'),
	(71,'thread_comments','1','yes'),
	(72,'thread_comments_depth','5','yes'),
	(73,'page_comments','0','yes'),
	(74,'comments_per_page','50','yes'),
	(75,'default_comments_page','newest','yes'),
	(76,'comment_order','asc','yes'),
	(77,'sticky_posts','a:0:{}','yes'),
	(78,'widget_categories','a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),
	(79,'widget_text','a:0:{}','yes'),
	(80,'widget_rss','a:0:{}','yes'),
	(81,'uninstall_plugins','a:0:{}','no'),
	(82,'timezone_string','Europe/Berlin','yes'),
	(83,'page_for_posts','0','yes'),
	(84,'page_on_front','0','yes'),
	(85,'default_post_format','0','yes'),
	(86,'link_manager_enabled','0','yes'),
	(87,'finished_splitting_shared_terms','1','yes'),
	(88,'site_icon','0','yes'),
	(89,'medium_large_size_w','768','yes'),
	(90,'medium_large_size_h','0','yes'),
	(91,'initial_db_version','38590','yes'),
	(92,'wpkittn_user_roles','a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:61:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}','yes'),
	(93,'fresh_site','1','yes'),
	(94,'WPLANG','de_DE','yes'),
	(95,'widget_search','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),
	(96,'widget_recent-posts','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),
	(97,'widget_recent-comments','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),
	(98,'widget_archives','a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),
	(99,'widget_meta','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),
	(100,'sidebars_widgets','a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:18:\"orphaned_widgets_1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:13:\"array_version\";i:3;}','yes'),
	(101,'widget_pages','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(102,'widget_calendar','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(103,'widget_media_audio','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(104,'widget_media_image','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(105,'widget_media_video','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(106,'widget_tag_cloud','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(107,'widget_nav_menu','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(108,'cron','a:3:{i:1499073450;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1499116681;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}','yes'),
	(109,'theme_mods_twentyseventeen','a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1499030286;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}','yes'),
	(116,'_site_transient_timeout_theme_roots','1499032055','no'),
	(117,'_site_transient_theme_roots','a:4:{s:13:\"twentyfifteen\";s:7:\"/themes\";s:15:\"twentyseventeen\";s:7:\"/themes\";s:13:\"twentysixteen\";s:7:\"/themes\";}','no'),
	(119,'_site_transient_timeout_browser_51a3f46bfabae39cd5aee62c6276c1dc','1499635059','no'),
	(120,'_site_transient_browser_51a3f46bfabae39cd5aee62c6276c1dc','a:9:{s:8:\"platform\";s:9:\"Macintosh\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"59.0.3071.115\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}','no'),
	(121,'can_compress_scripts','1','no'),
	(122,'_site_transient_timeout_community-events-4501c091b0366d76ea3218b6cfdd8097','1499073461','no'),
	(123,'_site_transient_community-events-4501c091b0366d76ea3218b6cfdd8097','a:2:{s:8:\"location\";a:1:{s:2:\"ip\";s:2:\"::\";}s:6:\"events\";a:1:{i:0;a:7:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:43:\"WP Meetup Paderborn #16 - WordCamps und Co.\";s:3:\"url\";s:60:\"https://www.meetup.com/WP-Meetup-Paderborn/events/240744801/\";s:6:\"meetup\";s:19:\"WP Meetup Paderborn\";s:10:\"meetup_url\";s:43:\"https://www.meetup.com/WP-Meetup-Paderborn/\";s:4:\"date\";s:19:\"2017-07-04 19:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:18:\"Paderborn, Germany\";s:7:\"country\";s:2:\"de\";s:8:\"latitude\";d:51.7200012207029971023075631819665431976318359375;s:9:\"longitude\";d:8.73999977111819958963678800500929355621337890625;}}}}','no'),
	(124,'_site_transient_update_core','O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:63:\"https://downloads.wordpress.org/release/de_DE/wordpress-4.8.zip\";s:6:\"locale\";s:5:\"de_DE\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:63:\"https://downloads.wordpress.org/release/de_DE/wordpress-4.8.zip\";s:10:\"no_content\";b:0;s:11:\"new_bundled\";b:0;s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:3:\"4.8\";s:7:\"version\";s:3:\"4.8\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"4.7\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1499030262;s:15:\"version_checked\";s:3:\"4.8\";s:12:\"translations\";a:0:{}}','no'),
	(125,'_transient_timeout_feed_e5132d2944a7be60661ee809629a6d9c','1499073462','no'),
	(126,'_transient_feed_e5132d2944a7be60661ee809629a6d9c','a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"Releases – Deutsch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"https://de.wordpress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"WordPress auf Deutsch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 23 Jun 2017 12:10:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"de-DE\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=4.9-alpha-40964\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"WordPress 4.8 »Evans«\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://de.wordpress.org/2017/06/wordpress-4-8-evans/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 Jun 2017 15:19:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2676\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:442:\"WordPress 4.8 wurde heute veröffentlicht – benannt nach Jazz-Pianist und Komponist William John »Bill« Evans. Die neue Version bringt drei zusätzliche Widgets mit, über die ihr Bilder, Videos und Audiodateien in Widget-Bereichen anzeigen könnt. Darüber hinaus wurde das Text-Widget um Möglichkeiten zur visuellen Textformatierung erweitert. Daneben gibt es Verbesserungen mit der Handhabung von Inline-Link-Begrenzungen im [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Florian Brinkmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:29368:\"<p>WordPress 4.8 wurde heute veröffentlicht – benannt nach Jazz-Pianist und Komponist William John »Bill« Evans.<span id=\"more-2676\"></span></p>\n<p>Die neue Version bringt drei zusätzliche Widgets mit, über die ihr Bilder, Videos und Audiodateien in Widget-Bereichen anzeigen könnt. Darüber hinaus wurde das Text-Widget um Möglichkeiten zur visuellen Textformatierung erweitert.</p>\n<figure id=\"attachment_2677\" style=\"width: 531px\" class=\"wp-caption alignnone\"><img class=\"wp-image-2677 size-full\" src=\"https://de.wordpress.org/files/2017/06/wordpress-4-8-widgets.png\" alt=\"\" width=\"531\" height=\"366\" srcset=\"https://de.wordpress.org/files/2017/06/wordpress-4-8-widgets.png 531w, https://de.wordpress.org/files/2017/06/wordpress-4-8-widgets-300x207.png 300w\" sizes=\"(max-width: 531px) 100vw, 531px\" /><figcaption class=\"wp-caption-text\">WordPress 4.8 kommt mit drei neuen Medien-Widgets und visuellen Formatierungsmöglichkeiten im Text-Widget. (Screenshot: WordPress-About-Seite)</figcaption></figure>\n<p>Daneben gibt es Verbesserungen mit der Handhabung von Inline-Link-Begrenzungen im Editor. Damit wird durch eine visuelle Hintergrundmarkierung die Bearbeitung von Links vereinfacht, oder genauer: das gezielte Einfügen von weiterem Text direkt vor oder hinter einem Link als Teil oder nicht als Teil des Links. Außerdem zeigt das WordPress-News-Widget im Dashboard jetzt auch anstehende WordCamps und WordPress-Meetups in eurer Nähe an.</p>\n<div id=\"v-8BDWH3QG-1\" class=\"video-player\"><video id=\"v-8BDWH3QG-1-video\" width=\"692\" height=\"374\" poster=\"https://videos.files.wordpress.com/8BDWH3QG/3-link-boundaries_dvd.original.jpg\" controls=\"true\" preload=\"metadata\" dir=\"ltr\" lang=\"en\"><source src=\"https://videos.files.wordpress.com/8BDWH3QG/3-link-boundaries_dvd.mp4\" type=\"video/mp4; codecs=&quot;avc1.64001E, mp4a.40.2&quot;\" /><source src=\"https://videos.files.wordpress.com/8BDWH3QG/3-link-boundaries_fmt1.ogv\" type=\"video/ogg; codecs=&quot;theora, vorbis&quot;\" /><div><img alt=\"Link Boundaries\" src=\"https://videos.files.wordpress.com/8BDWH3QG/3-link-boundaries_dvd.original.jpg\" width=\"692\" height=\"374\" /></div><p>Link Boundaries</p></video></div>\n<p>Auch für Entwickler ist natürlich wieder was dabei. So gibt es Änderungen bei einigen Überschriften im Backend. Bisher gab es in vielen Backend-Headlines noch ein weiteres Element, wie »Erstellen« bei der Beitragsansicht. Diese Elemente wurden aus Gründen der Barrierefreiheit aus den Überschriften-Elementen herausgelöst. Darüber hinaus ist die Customizer-Sidebar in 4.8 auf größeren Viewports breiter als bisher, und es werden keine WMV- und WMA-Dateien mehr unterstützt.</p>\n<p>Außerdem gibt es neue »Capabilities«, die mit dem Ziel eingeführt wurden, <code>is_super_admin()</code>-Aufrufe zu entfernen. Mit dem Hinzufügen des TinyMCE zum Text-Widget gibt es auch eine neue JS-API, über die eine Editor-Instanz nach Laden der Seite erstellt werden kann. Eine Medien-Widgets-API schafft die Voraussetzungen, dass zukünftig weitere Medien-Widgets entwickelt werden können.</p>\n<h2>Danke!</h2>\n<h3>Übersetzung ins Deutsche</h3>\n<p><a href=\"https://profiles.wordpress.org/fstaude\">Frank Neumann-Staude</a>, <a href=\"https://profiles.wordpress.org/pixelverbieger\">Christian Sabo</a>, <a href=\"https://profiles.wordpress.org/transl8or\">transl8or</a>, <a href=\"https://profiles.wordpress.org/presskopp\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/ocean90\">Dominik Schilling (ocean90)</a>, <a href=\"https://profiles.wordpress.org/arkonisus\">Christian Rüggeberg</a>, <a href=\"https://profiles.wordpress.org/la-geek\">Angelika</a>,<a href=\"https://profiles.wordpress.org/bluetower\"> bluetower</a>,<a href=\"https://profiles.wordpress.org/glueckpress\"> Caspar Hübinger</a>,<a href=\"https://profiles.wordpress.org/elisa-demonki\"> Elisa</a>,<a href=\"https://profiles.wordpress.org/florianbrinkmann\"> Florian Brinkmann</a>,<a href=\"https://profiles.wordpress.org/gymnatic\"> gymnatic</a>,<a href=\"https://profiles.wordpress.org/julius2001\"> Julius</a>,<a href=\"https://profiles.wordpress.org/travel_girl\"> Maja</a>,<a href=\"https://profiles.wordpress.org/vivamundo\"> Mario Wolf</a>,<a href=\"https://profiles.wordpress.org/mobotter\"> Moritz Kern</a>,<a href=\"https://profiles.wordpress.org/sebastianlaube\"> sebastianlaube</a>,<a href=\"https://profiles.wordpress.org/krafit\"> Simon Kraft</a>,<a href=\"https://profiles.wordpress.org/soean\"> Sören Wrede</a>,<a href=\"https://profiles.wordpress.org/sosere\"> sosere</a>,<a href=\"https://profiles.wordpress.org/timse201\"> timse201</a>,<a href=\"https://profiles.wordpress.org/zodiac1978\"> Torsten Landsiedel</a>,<a href=\"https://profiles.wordpress.org/traduteca\"> traduteca</a> und<a href=\"https://profiles.wordpress.org/ufkcsgn\"> ufkcsgn</a>.</p>\n<h3>Entwicklung</h3>\n<p><strong>Projektleitung:</strong></p>\n<p><a href=\"https://profiles.wordpress.org/nacin\">Andrew Nacin</a> (Leitende Entwicklung), <a href=\"https://profiles.wordpress.org/markjaquith\">Mark Jaquith</a> (Leitende Entwicklung), <a href=\"https://profiles.wordpress.org/matt\">Matt Mullenweg</a> (Release-Leitung), <a href=\"https://profiles.wordpress.org/helen\">Helen Hou-Sandí</a> (Leitende Entwicklung), <a href=\"https://profiles.wordpress.org/dd32\">Dion Hulse</a> (Leitende Entwicklung) und <a href=\"https://profiles.wordpress.org/azaozz\">Andrew Ozz</a> (Leitende Entwicklung).</p>\n<p><strong>Mitwirkende an der Entwicklung:</strong></p>\n<p><a href=\"https://profiles.wordpress.org/jbpaul17\">Jeff Paul</a> (Stellvertretende Release-Leitung), <a href=\"https://profiles.wordpress.org/aaroncampbell\">Aaron D. Campbell</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/jorbin\">Aaron Jorbin</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/afercia\">Andrea Fercia</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/boonebgorges\">Boone B. Gorges</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/ocean90\">Dominik Schilling</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/DrewAPicture\">Drew Jaynes</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/iseulde\">Ella Iseulde Van Dorpe</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/pento\">Gary Pendergast</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/jeremyfelt\">Jeremy Felt</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/joemcgill\">Joe McGill</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/johnbillion\">John Blackbourn</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/mikeschroder\">Mike Schroder</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/swissspidy\">Pascal Birchler</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/rachelbaker\">Rachel Baker</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/wonderboymusic\">Scott Taylor</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/SergeyBiryukov\">Sergey Biryukov</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/westonruter\">Weston Ruter</a> (Core-Entwicklung), <a href=\"https://profiles.wordpress.org/davidakennedy\">David A. Kennedy</a>, <a href=\"https://profiles.wordpress.org/flixos90\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/melchoyce\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/obenland\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/rmccue\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/Joen\">Joen Asmussen</a>, <a href=\"https://profiles.wordpress.org/kovshenin\">Konstantin Kovshenin</a>, <a href=\"https://profiles.wordpress.org/joehoyle\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/kadamwhite\">K.Adam White</a>, <a href=\"https://profiles.wordpress.org/ericlewis\">Eric Andrew Lewis</a>, <a href=\"https://profiles.wordpress.org/jnylen0\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/michaelarestad\">Michael Arestad</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/matveb\">Matias Ventura</a> und <a href=\"https://profiles.wordpress.org/karmatosed\">Tammie Lister</a>.</p>\n<p><strong>Mitwirkende am Core von WordPress 4.8:</strong></p>\n<p><a href=\"https://profiles.wordpress.org/1naveengiri\">1naveengiri</a>,<a href=\"https://profiles.wordpress.org/4nickpick\"> 4nickpick</a>,<a href=\"https://profiles.wordpress.org/abhishek\"> abhishek</a>,<a href=\"https://profiles.wordpress.org/abhishekfdd\"> Abhishek Kumar</a>,<a href=\"https://profiles.wordpress.org/abrain\"> abrain</a>,<a href=\"https://profiles.wordpress.org/kawauso\"> Adam Harley (Kawauso)</a>,<a href=\"https://profiles.wordpress.org/adamsoucie\"> Adam Soucie</a>,<a href=\"https://profiles.wordpress.org/afzalmultani\"> Afzal Multani</a>,<a href=\"https://profiles.wordpress.org/mrahmadawais\"> Ahmad Awais</a>,<a href=\"https://profiles.wordpress.org/ajoah\"> ajoah</a>,<a href=\"https://profiles.wordpress.org/xknown\"> Alex Concha</a>,<a href=\"https://profiles.wordpress.org/apmarshall\"> Alex Floyd Marshall</a>,<a href=\"https://profiles.wordpress.org/alexkingorg\"> Alex King</a>,<a href=\"https://profiles.wordpress.org/tellyworth\"> Alex Shiels</a>,<a href=\"https://profiles.wordpress.org/andreamiddleton\"> Andrea Middleton</a>,<a href=\"https://profiles.wordpress.org/rockwell15\"> Andrew Rockwell</a>,<a href=\"https://profiles.wordpress.org/kelderic\"> Andy Mercer</a>,<a href=\"https://profiles.wordpress.org/ankit-k-gupta\"> Ankit K Gupta</a>,<a href=\"https://profiles.wordpress.org/arena94\"> arena94</a>,<a href=\"https://profiles.wordpress.org/arshidkv12\"> Arshid</a>,<a href=\"https://profiles.wordpress.org/aryamaaru\"> Arun</a>,<a href=\"https://profiles.wordpress.org/asalce\"> asalce</a>,<a href=\"https://profiles.wordpress.org/ashokkumar24\"> ashokkumar24</a>,<a href=\"https://profiles.wordpress.org/barryceelen\"> Barry Ceelen</a>,<a href=\"https://profiles.wordpress.org/bcworkz\"> bcworkz</a>,<a href=\"https://profiles.wordpress.org/bharatkambariya\"> Bharat Kambariya</a>,<a href=\"https://profiles.wordpress.org/blobfolio\"> Blobfolio</a>,<a href=\"https://profiles.wordpress.org/gitlost\"> bonger</a>,<a href=\"https://profiles.wordpress.org/bor0\"> Boro Sitnikovski</a>,<a href=\"https://profiles.wordpress.org/bradt\"> Brad Touesnard</a>,<a href=\"https://profiles.wordpress.org/bradyvercher\"> Brady Vercher</a>,<a href=\"https://profiles.wordpress.org/kraftbj\"> Brandon Kraft</a>,<a href=\"https://profiles.wordpress.org/drrobotnik\"> Brandon Lavigne</a>,<a href=\"https://profiles.wordpress.org/bridgetwillard\"> Bridget Willard</a>,<a href=\"https://profiles.wordpress.org/bhargavbhandari90\"> Bunty</a>,<a href=\"https://profiles.wordpress.org/camikaos\"> Cami Kaos</a>,<a href=\"https://profiles.wordpress.org/carl-alberto\"> Carl Alberto</a>,<a href=\"https://profiles.wordpress.org/caseypatrickdriscoll\"> Casey Driscoll</a>,<a href=\"https://profiles.wordpress.org/cazm\"> cazm</a>,<a href=\"https://profiles.wordpress.org/ccprog\"> ccprog</a>,<a href=\"https://profiles.wordpress.org/chandrapatel\"> Chandra Patel</a>,<a href=\"https://profiles.wordpress.org/chesio\"> chesio</a>,<a href=\"https://profiles.wordpress.org/ketuchetan\"> chetansatasiya</a>,<a href=\"https://profiles.wordpress.org/chiragpatel\"> Chirag Patel</a>,<a href=\"https://profiles.wordpress.org/chouby\"> Chouby</a>,<a href=\"https://profiles.wordpress.org/chriseverson\"> chriseverson</a>,<a href=\"https://profiles.wordpress.org/cklosows\"> Chris Klosowski</a>,<a href=\"https://profiles.wordpress.org/chris_dev\"> Chris Mok</a>,<a href=\"https://profiles.wordpress.org/christian1012\"> Christian Chung</a>,<a href=\"https://profiles.wordpress.org/coreymckrill\"> Corey McKrill</a>,<a href=\"https://profiles.wordpress.org/courtneypk\"> Courtney P.K.</a>,<a href=\"https://profiles.wordpress.org/cristianozanca\"> Cristiano Zanca</a>,<a href=\"https://profiles.wordpress.org/csloisel\"> csloisel</a>,<a href=\"https://profiles.wordpress.org/curdin\"> Curdin Krummenacher</a>,<a href=\"https://profiles.wordpress.org/clarinetlord\"> Cyrus Collier</a>,<a href=\"https://profiles.wordpress.org/danielbachhuber\"> Daniel Bachhuber</a>,<a href=\"https://profiles.wordpress.org/mte90\"> Daniele Scasciafratte</a>,<a href=\"https://profiles.wordpress.org/diddledan\"> Daniel Llewellyn</a>,<a href=\"https://profiles.wordpress.org/nerrad\"> Darren Ethier (nerrad)</a>,<a href=\"https://profiles.wordpress.org/darshan02\"> Darshan_dj</a>,<a href=\"https://profiles.wordpress.org/darthaud\"> darthaud</a>,<a href=\"https://profiles.wordpress.org/dllh\"> Daryl L. L. Houston (dllh)</a>,<a href=\"https://profiles.wordpress.org/davidanderson\"> David Anderson</a>,<a href=\"https://profiles.wordpress.org/davidbenton\"> davidbenton</a>,<a href=\"https://profiles.wordpress.org/davidbinda\"> David Binovec</a>,<a href=\"https://profiles.wordpress.org/dlh\"> David Herrera</a>,<a href=\"https://profiles.wordpress.org/dshanske\"> David Shanske</a>,<a href=\"https://profiles.wordpress.org/designsimply\"> designsimply</a>,<a href=\"https://profiles.wordpress.org/dhanendran\"> Dhanendran</a>,<a href=\"https://profiles.wordpress.org/dharm1025\"> Dharmesh Patel</a>,<a href=\"https://profiles.wordpress.org/dhaval-parekh\"> Dhaval Parekh</a>,<a href=\"https://profiles.wordpress.org/dingo_bastard\"> dingo-d</a>,<a href=\"https://profiles.wordpress.org/dotancohen\"> Dotan Cohen</a>,<a href=\"https://profiles.wordpress.org/doublehhh\"> DoubleH</a>,<a href=\"https://profiles.wordpress.org/dreamon11\"> DreamOn11</a>,<a href=\"https://profiles.wordpress.org/drivingralle\"> Drivingralle</a>,<a href=\"https://profiles.wordpress.org/dspilka\"> dspilka</a>,<a href=\"https://profiles.wordpress.org/chopinbach\"> Edwin Cromley</a>,<a href=\"https://profiles.wordpress.org/ejner69\"> Ejner Galaz</a>,<a href=\"https://profiles.wordpress.org/emirpprime\"> emirpprime</a>,<a href=\"https://profiles.wordpress.org/ethitter\"> Erick Hitter</a>,<a href=\"https://profiles.wordpress.org/endif-media\"> Ethan Allen</a>,<a href=\"https://profiles.wordpress.org/fab1en\"> Fabien Quatravaux</a>,<a href=\"https://profiles.wordpress.org/fibonaccina\"> fibonaccina</a>,<a href=\"https://profiles.wordpress.org/mista-flo\"> Florian TIAR</a>,<a href=\"https://profiles.wordpress.org/francina\"> Francesca Marano</a>,<a href=\"https://profiles.wordpress.org/fstaude\"> Frank Neumann-Staude</a>,<a href=\"https://profiles.wordpress.org/f-j-kaiser\"> Franz Josef Kaiser</a>,<a href=\"https://profiles.wordpress.org/gma992\"> Gabriel Maldonado</a>,<a href=\"https://profiles.wordpress.org/voldemortensen\"> Garth Mortensen</a>,<a href=\"https://profiles.wordpress.org/garyc40\"> Gary Cao</a>,<a href=\"https://profiles.wordpress.org/georgestephanis\"> George Stephanis</a>,<a href=\"https://profiles.wordpress.org/ghosttoast\"> Gustave F. Gerhardt</a>,<a href=\"https://profiles.wordpress.org/hedgefield\"> hedgefield</a>,<a href=\"https://profiles.wordpress.org/helgatheviking\"> helgatheviking</a>,<a href=\"https://profiles.wordpress.org/hristo-sg\"> Hristo Pandjarov</a>,<a href=\"https://profiles.wordpress.org/iandunn\"> Ian Dunn</a>,<a href=\"https://profiles.wordpress.org/zinigor\"> Igor Zinovyev</a>,<a href=\"https://profiles.wordpress.org/ig_communitysites\"> ig_communitysites</a>,<a href=\"https://profiles.wordpress.org/imath\"> imath</a>,<a href=\"https://profiles.wordpress.org/ipstenu\"> Ipstenu (Mika Epstein)</a>,<a href=\"https://profiles.wordpress.org/ireneyoast\"> ireneyoast</a>,<a href=\"https://profiles.wordpress.org/iv3rson76\"> Ivan Stefanov</a>,<a href=\"https://profiles.wordpress.org/ivantedja\"> ivantedja</a>,<a href=\"https://profiles.wordpress.org/jdgrimes\"> J.D. Grimes</a>,<a href=\"https://profiles.wordpress.org/jackreichert\"> Jack Reichert</a>,<a href=\"https://profiles.wordpress.org/whyisjake\"> Jake Spurlock</a>,<a href=\"https://profiles.wordpress.org/jaydeep-rami\"> Jaydeep Rami</a>,<a href=\"https://profiles.wordpress.org/jazbek\"> jazbek</a>,<a href=\"https://profiles.wordpress.org/jblz\"> Jeff Bowen</a>,<a href=\"https://profiles.wordpress.org/jfarthing84\"> Jeff Farthing</a>,<a href=\"https://profiles.wordpress.org/cheffheid\"> Jeffrey de Wit</a>,<a href=\"https://profiles.wordpress.org/jenblogs4u\"> Jen Miller</a>,<a href=\"https://profiles.wordpress.org/jpry\"> Jeremy Pry</a>,<a href=\"https://profiles.wordpress.org/jigneshnakrani\"> Jignesh Nakrani</a>,<a href=\"https://profiles.wordpress.org/jipmoors\"> Jip Moors</a>,<a href=\"https://profiles.wordpress.org/jjcomack\"> jjcomack</a>,<a href=\"https://profiles.wordpress.org/joedolson\"> Joe Dolson</a>,<a href=\"https://profiles.wordpress.org/johnjamesjacoby\"> John James Jacoby</a>,<a href=\"https://profiles.wordpress.org/desrosj\"> Jonathan Desrosiers</a>,<a href=\"https://profiles.wordpress.org/spacedmonkey\"> Jonny Harris</a>,<a href=\"https://profiles.wordpress.org/joostdevalk\"> Joost de Valk</a>,<a href=\"https://profiles.wordpress.org/chanthaboune\"> Josepha</a>,<a href=\"https://profiles.wordpress.org/shelob9\"> Josh Pollock</a>,<a href=\"https://profiles.wordpress.org/juhise\"> Juhi Saxena</a>,<a href=\"https://profiles.wordpress.org/kopepasah\"> Justin Kopepasah</a>,<a href=\"https://profiles.wordpress.org/certainstrings\"> Justin Tucker</a>,<a href=\"https://profiles.wordpress.org/kafleg\"> kafleg</a>,<a href=\"https://profiles.wordpress.org/trepmal\"> Kailey (trepmal)</a>,<a href=\"https://profiles.wordpress.org/karinedo\"> karinedo</a>,<a href=\"https://profiles.wordpress.org/zoonini\"> Kathryn</a>,<a href=\"https://profiles.wordpress.org/kaushik\"> kaushik</a>,<a href=\"https://profiles.wordpress.org/kkoppenhaver\"> Keanan Koppenhaver</a>,<a href=\"https://profiles.wordpress.org/keesiemeijer\"> keesiemeijer</a>,<a href=\"https://profiles.wordpress.org/ryelle\"> Kelly Dwan</a>,<a href=\"https://profiles.wordpress.org/ixkaito\"> Kite</a>,<a href=\"https://profiles.wordpress.org/kjellr\"> kjellr</a>,<a href=\"https://profiles.wordpress.org/kostasx\"> kostasx</a>,<a href=\"https://profiles.wordpress.org/kubik-rubik\"> kubik-rubik</a>,<a href=\"https://profiles.wordpress.org/kuck1u\"> KUCKLU</a>,<a href=\"https://profiles.wordpress.org/lancewillett\"> Lance Willett</a>,<a href=\"https://profiles.wordpress.org/laurelfulford\"> laurelfulford</a>,<a href=\"https://profiles.wordpress.org/leemon\"> leemon</a>,<a href=\"https://profiles.wordpress.org/leewillis77\"> Lee Willis</a>,<a href=\"https://profiles.wordpress.org/lewiscowles\"> LewisCowles</a>,<a href=\"https://profiles.wordpress.org/liammcarthur\"> LiamMcArthur</a>,<a href=\"https://profiles.wordpress.org/lucasstark\"> Lucas Stark</a>,<a href=\"https://profiles.wordpress.org/lukasbesch\"> lukasbesch</a>,<a href=\"https://profiles.wordpress.org/lukecavanagh\"> Luke Cavanagh</a>,<a href=\"https://profiles.wordpress.org/maedahbatool\"> maedahbatool</a>,<a href=\"https://profiles.wordpress.org/maguiar\"> maguiar</a>,<a href=\"https://profiles.wordpress.org/mp518\"> Mahesh Prajapati</a>,<a href=\"https://profiles.wordpress.org/mantismamita\"> mantismamita</a>,<a href=\"https://profiles.wordpress.org/tyxla\"> Marin Atanasov</a>,<a href=\"https://profiles.wordpress.org/markoheijnen\"> Marko Heijnen</a>,<a href=\"https://profiles.wordpress.org/mrwweb\"> Mark Root-Wiley</a>,<a href=\"https://profiles.wordpress.org/mapk\"> Mark Uraine</a>,<a href=\"https://profiles.wordpress.org/matheusgimenez\"> MatheusGimenez</a>,<a href=\"https://profiles.wordpress.org/matheusfd\"> Matheus Martins</a>,<a href=\"https://profiles.wordpress.org/mathieuhays\"> mathieuhays</a>,<a href=\"https://profiles.wordpress.org/matias\"> matias</a>,<a href=\"https://profiles.wordpress.org/mboynes\"> Matthew Boynes</a>,<a href=\"https://profiles.wordpress.org/mattheu\"> Matthew Haines-Young</a>,<a href=\"https://profiles.wordpress.org/mattwiebe\"> Matt Wiebe</a>,<a href=\"https://profiles.wordpress.org/mattyrob\"> mattyrob</a>,<a href=\"https://profiles.wordpress.org/maximeculea\"> Maxime Culea</a>,<a href=\"https://profiles.wordpress.org/mayukojpn\"> Mayo Moriyama</a>,<a href=\"https://profiles.wordpress.org/mayurk\"> Mayur Keshwani</a>,<a href=\"https://profiles.wordpress.org/menakas\"> Menaka S.</a>,<a href=\"https://profiles.wordpress.org/michalzuber\"> michalzuber</a>,<a href=\"https://profiles.wordpress.org/michelleweber\"> michelleweber</a>,<a href=\"https://profiles.wordpress.org/stubgo\"> Miina Sikk</a>,<a href=\"https://profiles.wordpress.org/mihai2u\"> Mike Crantea</a>,<a href=\"https://profiles.wordpress.org/mikehansenme\"> Mike Hansen</a>,<a href=\"https://profiles.wordpress.org/mikejolley\"> Mike Jolley</a>,<a href=\"https://profiles.wordpress.org/mikelittle\"> Mike Little</a>,<a href=\"https://profiles.wordpress.org/mnelson4\"> Mike Nelson</a>,<a href=\"https://profiles.wordpress.org/dimadin\"> Milan Dinić</a>,<a href=\"https://profiles.wordpress.org/milindmore22\"> Milind More</a>,<a href=\"https://profiles.wordpress.org/mitraval192\"> Mithun Raval</a>,<a href=\"https://profiles.wordpress.org/mmdeveloper\"> MMDeveloper</a>,<a href=\"https://profiles.wordpress.org/batmoo\"> Mohammad Jangda</a>,<a href=\"https://profiles.wordpress.org/mohanjith\"> mohanjith</a>,<a href=\"https://profiles.wordpress.org/monikarao\"> monikarao</a>,<a href=\"https://profiles.wordpress.org/morganestes\"> Morgan Estes</a>,<a href=\"https://profiles.wordpress.org/mt8biz\"> moto hachi ( mt8.biz )</a>,<a href=\"https://profiles.wordpress.org/mrgregwaugh\"> MrGregWaugh</a>,<a href=\"https://profiles.wordpress.org/mschadegg\"> mschadegg</a>,<a href=\"https://profiles.wordpress.org/codegeass\"> Muhammet Arslan</a>,<a href=\"https://profiles.wordpress.org/dots\"> MULTIDOTS</a>,<a href=\"https://profiles.wordpress.org/nao\"> Naoko Takano</a>,<a href=\"https://profiles.wordpress.org/naomicbush\"> Naomi C. Bush</a>,<a href=\"https://profiles.wordpress.org/natereist\"> Nate Reist</a>,<a href=\"https://profiles.wordpress.org/greatislander\"> Ned Zimmerman</a>,<a href=\"https://profiles.wordpress.org/celloexpressions\"> Nick Halsey</a>,<a href=\"https://profiles.wordpress.org/nikschavan\"> Nikhil Chavan</a>,<a href=\"https://profiles.wordpress.org/nitin-kevadiya\"> Nitin Kevadiya</a>,<a href=\"https://profiles.wordpress.org/kailanitish90\"> Nitish Kaila</a>,<a href=\"https://profiles.wordpress.org/nobremarcos\"> nobremarcos</a>,<a href=\"https://profiles.wordpress.org/nosegraze\"> NoseGraze</a>,<a href=\"https://profiles.wordpress.org/nsundberg\"> nsundberg</a>,<a href=\"https://profiles.wordpress.org/nullvariable\"> nullvariable</a>,<a href=\"https://profiles.wordpress.org/odysseygate\"> odyssey</a>,<a href=\"https://profiles.wordpress.org/iaaxpage\"> page-carbajal</a>,<a href=\"https://profiles.wordpress.org/pbearne\"> Paul Bearne</a>,<a href=\"https://profiles.wordpress.org/pbiron\"> Paul Biron</a>,<a href=\"https://profiles.wordpress.org/pauldewouters\"> Paul de Wouters</a>,<a href=\"https://profiles.wordpress.org/figureone\"> Paul Ryan</a>,<a href=\"https://profiles.wordpress.org/pavelevap\"> pavelevap</a>,<a href=\"https://profiles.wordpress.org/sirbrillig\"> Payton Swick</a>,<a href=\"https://profiles.wordpress.org/pdufour\"> pdufour</a>,<a href=\"https://profiles.wordpress.org/piewp\"> Perdaan</a>,<a href=\"https://profiles.wordpress.org/philipjohn\"> Philip John</a>,<a href=\"https://profiles.wordpress.org/delawski\"> Piotr Delawski</a>,<a href=\"https://profiles.wordpress.org/psoluch\"> Piotr Soluch</a>,<a href=\"https://profiles.wordpress.org/postpostmodern\"> postpostmodern</a>,<a href=\"https://profiles.wordpress.org/pranalipatel\"> Pranali Patel</a>,<a href=\"https://profiles.wordpress.org/pratikshrestha\"> Pratik Shrestha</a>,<a href=\"https://profiles.wordpress.org/presskopp\"> Presskopp</a>,<a href=\"https://profiles.wordpress.org/printsachen1\"> printsachen1</a>,<a href=\"https://profiles.wordpress.org/priyankabehera155\"> Priyanka Behera</a>,<a href=\"https://profiles.wordpress.org/prosti\"> prosti</a>,<a href=\"https://profiles.wordpress.org/ptbello\"> ptbello</a>,<a href=\"https://profiles.wordpress.org/rafaehlers\"> Rafael Ehlers</a>,<a href=\"https://profiles.wordpress.org/raggedrobins\"> raggedrobins</a>,<a href=\"https://profiles.wordpress.org/raisonon\"> raisonon</a>,<a href=\"https://profiles.wordpress.org/ramiabraham\"> ramiabraham</a>,<a href=\"https://profiles.wordpress.org/ramiy\"> Rami Yushuvaev</a>,<a href=\"https://profiles.wordpress.org/ranh\"> ranh</a>,<a href=\"https://profiles.wordpress.org/rclations\"> RC Lations</a>,<a href=\"https://profiles.wordpress.org/redrambles\"> redrambles</a>,<a href=\"https://profiles.wordpress.org/reidbusi\"> reidbusi</a>,<a href=\"https://profiles.wordpress.org/reldev\"> reldev</a>,<a href=\"https://profiles.wordpress.org/rellect\"> rellect</a>,<a href=\"https://profiles.wordpress.org/arena\"> RENAUT</a>,<a href=\"https://profiles.wordpress.org/rensw90\"> rensw90</a>,<a href=\"https://profiles.wordpress.org/reportermike\"> reportermike</a>,<a href=\"https://profiles.wordpress.org/rianrietveld\"> Rian Rietveld</a>,<a href=\"https://profiles.wordpress.org/riddhiehta02\"> Riddhi Mehta</a>,<a href=\"https://profiles.wordpress.org/aussieguy123\"> Robbie Cahill</a>,<a href=\"https://profiles.wordpress.org/sanchothefat\"> Robert O&#8217;Rourke</a>,<a href=\"https://profiles.wordpress.org/littlerchicken\"> Robin Cornett</a>,<a href=\"https://profiles.wordpress.org/runciters\"> runciters</a>,<a href=\"https://profiles.wordpress.org/ryan\"> Ryan Boren</a>,<a href=\"https://profiles.wordpress.org/welcher\"> Ryan Welcher</a>,<a href=\"https://profiles.wordpress.org/sagarjadhav\"> Sagar Jadhav</a>,<a href=\"https://profiles.wordpress.org/sagarkbhatt\"> sagarkbhatt</a>,<a href=\"https://profiles.wordpress.org/sagarprajapati\"> Sagar Prajapati</a>,<a href=\"https://profiles.wordpress.org/salcode\"> Sal Ferrarello</a>,<a href=\"https://profiles.wordpress.org/samantha-miller\"> Samantha Miller</a>,<a href=\"https://profiles.wordpress.org/samikeijonen\"> Sami Keijonen</a>,<a href=\"https://profiles.wordpress.org/samuelsidler\"> Samuel Sidler</a>,<a href=\"https://profiles.wordpress.org/sanketparmar\"> Sanket Parmar</a>,<a href=\"https://profiles.wordpress.org/sathyapulse\"> sathyapulse</a>,<a href=\"https://profiles.wordpress.org/sboisvert\"> sboisvert</a>,<a href=\"https://profiles.wordpress.org/coffee2code\"> Scott Reilly</a>,<a href=\"https://profiles.wordpress.org/seanchayes\"> Sean Hayes</a>,<a href=\"https://profiles.wordpress.org/sebastianpisula\"> Sebastian Pisula</a>,<a href=\"https://profiles.wordpress.org/sfpt\"> sfpt</a>,<a href=\"https://profiles.wordpress.org/sgolemon\"> sgolemon</a>,<a href=\"https://profiles.wordpress.org/shadyvb\"> Shady Sharaf</a>,<a href=\"https://profiles.wordpress.org/shashwatmittal\"> shashwatmittal</a>,<a href=\"https://profiles.wordpress.org/shazahm1hotmailcom\"> shazahm1</a>,<a href=\"https://profiles.wordpress.org/shulard\"> shulard</a>,<a href=\"https://profiles.wordpress.org/slbmeh\"> slbmeh</a>,<a href=\"https://profiles.wordpress.org/soean\"> Soren Wrede</a>,<a href=\"https://profiles.wordpress.org/sstoqnov\"> Stanimir Stoyanov</a>,<a href=\"https://profiles.wordpress.org/stephdau\"> Stephane Daury (stephdau)</a>,<a href=\"https://profiles.wordpress.org/netweb\"> Stephen Edgar</a>,<a href=\"https://profiles.wordpress.org/stephenharris\"> Stephen Harris</a>,<a href=\"https://profiles.wordpress.org/stevenkword\"> Steven Word</a>,<a href=\"https://profiles.wordpress.org/stormrockwell\"> stormrockwell</a>,<a href=\"https://profiles.wordpress.org/sudar\"> Sudar Muthu</a>,<a href=\"https://profiles.wordpress.org/supercoder\"> Supercoder</a>,<a href=\"https://profiles.wordpress.org/cybr\"> Sybre Waaijer</a>,<a href=\"https://profiles.wordpress.org/szaqal21\"> szaqal21</a>,<a href=\"https://profiles.wordpress.org/gonom9\"> taggon</a>,<a href=\"https://profiles.wordpress.org/miyauchi\"> Takayuki Miyauchi</a>,<a href=\"https://profiles.wordpress.org/takayukister\"> Takayuki Miyoshi</a>,<a href=\"https://profiles.wordpress.org/technopolitica\"> technopolitica</a>,<a href=\"https://profiles.wordpress.org/teinertb\"> teinertb</a>,<a href=\"https://profiles.wordpress.org/tejas5989\"> tejas5989</a>,<a href=\"https://profiles.wordpress.org/terwdan\"> terwdan</a>,<a href=\"https://profiles.wordpress.org/tharsheblows\"> tharsheblows</a>,<a href=\"https://profiles.wordpress.org/themiked\"> theMikeD</a>,<a href=\"https://profiles.wordpress.org/thepelkus\"> thepelkus</a>,<a href=\"https://profiles.wordpress.org/tfrommen\"> Thorsten Frommen</a>,<a href=\"https://profiles.wordpress.org/timmydcrawford\"> Timmy Crawford</a>,<a href=\"https://profiles.wordpress.org/timothyblynjacobs\"> Timothy Jacobs</a>,<a href=\"https://profiles.wordpress.org/timph\"> timph</a>,<a href=\"https://profiles.wordpress.org/tmatsuur\"> tmatsuur</a>,<a href=\"https://profiles.wordpress.org/tomdxw\"> tomdxw</a>,<a href=\"https://profiles.wordpress.org/topher1kenobe\"> Topher</a>,<a href=\"https://profiles.wordpress.org/wpsmith\"> Travis Smith</a>,<a href=\"https://profiles.wordpress.org/triplejumper12\"> triplejumper12</a>,<a href=\"https://profiles.wordpress.org/truongwp\"> truongwp</a>,<a href=\"https://profiles.wordpress.org/tymvie\"> tymvie</a>,<a href=\"https://profiles.wordpress.org/grapplerulrich\"> Ulrich</a>,<a href=\"https://profiles.wordpress.org/utkarshpatel\"> Utkarsh</a>,<a href=\"https://profiles.wordpress.org/vaishuagola27\"> vaishu.agola27</a>,<a href=\"https://profiles.wordpress.org/vijustin\"> vijustin</a>,<a href=\"https://profiles.wordpress.org/vortfu\"> vortfu</a>,<a href=\"https://profiles.wordpress.org/wpfo\"> wpfo</a>,<a href=\"https://profiles.wordpress.org/xrmx\"> xrmx</a>,<a href=\"https://profiles.wordpress.org/ze3kr\"> ze3kr</a> und<a href=\"https://profiles.wordpress.org/h3llas\"> Zeljko Ascic</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 4.8 Release-Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://de.wordpress.org/2017/06/wordpress-4-8-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 02 Jun 2017 05:58:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Entwicklung\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2672\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:365:\"Der zweite Release-Candidate (RC) für WordPress 4.8 ist verfügbar. Ihr könnt ihn über das »WordPress Beta Tester«-Plugin testen oder euch die ZIP herunterladen. Das Core-Team hat seit dem ersten RC eine Handvoll Änderungen vorgenommen. Nähere Infos zu den Neuerungen von 4.8 gibt es in den Beiträgen zu Beta 1, Beta 2 und Release-Candidate 1. Ihr [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Florian Brinkmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1074:\"<p>Der zweite Release-Candidate (RC) für WordPress 4.8 ist verfügbar. Ihr könnt ihn über das »<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>«-Plugin testen oder euch <a href=\"https://wordpress.org/wordpress-4.8-RC2.zip\">die ZIP herunterladen</a>.</p>\n<p>Das Core-Team hat seit dem ersten RC <a href=\"https://core.trac.wordpress.org/log/trunk/?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=40866&amp;stop_rev=40847\">eine Handvoll Änderungen</a> vorgenommen. Nähere Infos zu den Neuerungen von 4.8 gibt es in den Beiträgen zu <a href=\"https://de.wordpress.org/2017/05/wordpress-4-8-beta-1/\">Beta 1</a>, <a href=\"https://de.wordpress.org/2017/05/wordpress-4-8-beta-2/\">Beta 2</a> und <a href=\"https://de.wordpress.org/2017/05/wordpress-4-8-release-candidate/\">Release-Candidate 1</a>.</p>\n<p>Ihr glaubt einen Bug gefunden zu haben? Dann meldet ihn im Alpha-/Beta-Bereich des englischen Forums. Bereits bekannte Probleme werden in einer <a href=\"https://core.trac.wordpress.org/report/5\">Liste im Trac</a> aufgeführt.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"WordPress 4.8 Release-Candidate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://de.wordpress.org/2017/05/wordpress-4-8-release-candidate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 26 May 2017 05:49:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Entwicklung\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2666\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:380:\"Der Release-Candidate für WordPress 4.8 ist verfügbar. Release-Candidate bedeutet, dass das Core-Team glaubt fertig zu sein, aber mit Millionen von Nutzern und tausenden Plugins und Themes ist es natürlich möglich, dass sie etwas übersehen haben. Der finale Release ist für Donnerstag, den 8. Juni, geplant, aber dafür wird eure Hilfe benötigt. Wenn ihr 4.8 noch [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Florian Brinkmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2010:\"<p>Der Release-Candidate für WordPress 4.8 ist verfügbar. Release-Candidate bedeutet, dass das Core-Team glaubt fertig zu sein, aber mit Millionen von Nutzern und tausenden Plugins und Themes ist es natürlich möglich, dass sie etwas übersehen haben. Der finale Release ist für Donnerstag, den 8. Juni, geplant, aber dafür wird eure Hilfe benötigt. Wenn ihr 4.8 noch nicht getestet habt, ist es jetzt an der Zeit!<span id=\"more-2666\"></span></p>\n<p>Um die neue Version zu testen, könnt ihr das Plugin <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> nutzen oder euch <a href=\"https://wordpress.org/wordpress-4.8-RC1.zip\">die ZIP</a> herunterladen. Seit der zweiten Beta gibt es <a href=\"https://core.trac.wordpress.org/log/trunk/?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=40840&amp;stop_rev=40821\">ein paar Änderungen</a>, und mehr Details zu den Neuerungen von 4.8 gibt es in den Beiträgen zu <a href=\"https://de.wordpress.org/2017/05/wordpress-4-8-beta-1/\">Beta 1</a> sowie <a href=\"https://de.wordpress.org/2017/05/wordpress-4-8-beta-2/\">Beta 2</a>.</p>\n<p>Falls ihr glaubt einen Bug gefunden zu haben, meldet ihn bitte im <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha-/Beta-Bereich des Support-Forums</a>. Alle bekannten Probleme findet ihr <a href=\"https://core.trac.wordpress.org/report/5\">im Trac</a>.</p>\n<p>Wenn ihr ein Theme oder Plugin entwickelt habt, testet es mit 4.8 und erhöht die Version für <em>Tested up to</em> in der Plugin-Readme auf 4.8. Wenn ihr Probleme findet, schreibt es in das englische Support-Forum, damit das Core-Team sich das vor dem finalen Release anschauen kann – es arbeitet hart daran zu verhindern, dass Dinge kaputt gehen. Einen tiefgehenden Field-Guide mit Entwicklungs-spezifischen Änderungen wird es bald <a href=\"https://make.wordpress.org/core/\">im Core-Dev-Blog</a> geben.</p>\n<p><a href=\"https://translate.wordpress.org/projects/wp/dev\">Helft mit, WordPress zu übersetzen</a>!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.8 Beta 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://de.wordpress.org/2017/05/wordpress-4-8-beta-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 23 May 2017 06:36:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Entwicklung\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2664\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:357:\"Heute wurde die zweite Beta-Version von WordPress 4.8 veröffentlicht. Da es sich dabei noch um einen Entwicklungs-Release handelt, solltet ihr ihn nicht auf einer Live-Site einsetzen. Um 4.8 zu testen, könnt ihr das Plugin WordPress Beta Tester nutzen oder die ZIP herunterladen. Mehr Infos zu den Neuerungen in 4.8 gibt es im Beitrag zur ersten [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Florian Brinkmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1401:\"<p>Heute wurde die zweite Beta-Version von WordPress 4.8 veröffentlicht. Da es sich dabei noch um einen Entwicklungs-Release handelt, solltet ihr ihn nicht auf einer Live-Site einsetzen. Um 4.8 zu testen, könnt ihr das Plugin <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> nutzen oder <a href=\"https://wordpress.org/wordpress-4.8-beta2.zip\">die ZIP herunterladen</a>.</p>\n<p>Mehr Infos zu den Neuerungen in 4.8 gibt es im <a href=\"https://de.wordpress.org/2017/05/wordpress-4-8-beta-1/\">Beitrag zur ersten Beta</a>. Seitdem wurden <a href=\"https://core.trac.wordpress.org/log/trunk/?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=40819&amp;stop_rev=40664&amp;limit=100&amp;sfp_email=&amp;sfph_mail=\">über 50 Änderungen</a> für Beta 2 vorgenommen.</p>\n<p><a href=\"https://translate.wordpress.org/projects/wp/dev\">Helft mit, WordPress in mehr als 100 Sprachen zu übersetzen</a>!</p>\n<p>Wenn ihr glaubt einen Bug gefunden zu haben, schreibt einen Beitrag im <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha-/Beta-Bereich</a> des englischen Support-Forums. Falls ihr euch damit auskennt, einen reproduzierbaren Bug-Report zu schreiben, könnt ihr das <a href=\"https://make.wordpress.org/core/reports/\">im Trac</a> tun – dort gibt es auch eine <a href=\"https://core.trac.wordpress.org/tickets/major\">Liste mit allen bekannten Bugs</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"WordPress 4.7.5 Sicherheits- und Wartungs-Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://de.wordpress.org/2017/05/wordpress-4-7-5-sicherheits-und-wartungs-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 17 May 2017 05:45:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:10:\"Sicherheit\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2655\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:445:\"WordPress 4.7.5 wurde heute veröffentlicht. Da es sich dabei um ein Sicherheits-Release handelt, wird empfohlen, alle Versionen kleiner als 4.7.5 umgehend zu aktualisieren. WordPress 4.7.4 und älter sind von sechs Sicherheitslücken betroffen: Mangelhafte Weiterleitungs-Validierung in der HTTP-Klasse. Gemeldet von Ronni Skansing. Eine ungenaue Handhabung von Daten-Werten der Post-Meta in der XMPL-RPC-API. Gemeldet von Sam Thomas. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Angelika Reisiger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2537:\"<p>WordPress 4.7.5 wurde heute veröffentlicht. Da es sich dabei um ein Sicherheits-Release handelt, wird empfohlen, alle Versionen kleiner als 4.7.5 umgehend zu aktualisieren.</p>\n<p>WordPress 4.7.4 und älter sind von sechs Sicherheitslücken betroffen:</p>\n<p><span id=\"more-2655\"></span></p>\n<ul>\n<li>Mangelhafte Weiterleitungs-Validierung in der HTTP-Klasse. Gemeldet von <a href=\"https://dk.linkedin.com/in/ronni-skansing-36143b65\">Ronni Skansing</a>.</li>\n<li>Eine ungenaue Handhabung von Daten-Werten der Post-Meta in der XMPL-RPC-API. Gemeldet von <a href=\"https://hackerone.com/jazzy2fives\">Sam Thomas</a>.</li>\n<li>Fehlerhafte Nutzerrechte-Überprüfung von Post-Meta-Daten in der XMPL-RPC-API. Gemeldet von <a href=\"https://profiles.wordpress.org/vortfu\">Ben Bidner</a>, Teil des WordPress Security Teams.</li>\n<li>Eine Schwachstelle  – Cross-Site-Request-Forgery (CRSF) –  wurde im Dateisystem des Anmelde-Dialogs (credentials dialog) entdeckt. Gemeldet von <a href=\"https://twitter.com/yorickkoster\">Yorick Koster</a>.</li>\n<li>Eine Schwachstelle – Cross-Site-Scripting (XSS) – wurde beim Versuch sehr große Dateien hochzuladen entdeckt. Gemeldet von <a href=\"https://dk.linkedin.com/in/ronni-skansing-36143b65\">Ronni Skansing</a>.</li>\n<li>Eine weitere Cross-Site-Scripting-Lücke (XSS) wurde im Zusammenhang mit dem Customizer entdeckt. Gemeldet von <a href=\"https://profiles.wordpress.org/westonruter\">Weston Ruter</a>, Teil des WordPress Security Teams.</li>\n</ul>\n<p>Danke an alle, die das verantwortlich gemäß dem <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsible disclosure</a> gemeldet haben.</p>\n<p>Zusätzlich zu den bereits genannten Sicherheitslücken enthält WordPress 4.7.5 drei Bug-Fixes. Weitere Informationen findest du in den <a href=\"https://codex.wordpress.org/Version_4.7.5\">release notes</a> oder in dieser<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=4.7.5&amp;group=component&amp;col=id&amp;col=summary&amp;col=component&amp;col=status&amp;col=owner&amp;col=type&amp;col=priority&amp;col=keywords&amp;order=priority\"> Liste der Änderungen</a>.</p>\n<p>Du kannst deine WordPress-Installation im Adminbereich mit Klick auf &#8222;Dashboard&#8220;, dann auf &#8222;Aktualisierungen&#8220; starten. Für WordPress-Websites, die das automatische Aktualisieren aktiviert haben, werden die Updates bereits ausgerollt.</p>\n<p>Danke an alle, die bei der Entwicklung von WordPress 4.7.5 mitgewirkt haben.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.8 Beta 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://de.wordpress.org/2017/05/wordpress-4-8-beta-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 13 May 2017 08:01:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Entwicklung\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2649\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:464:\"Das WordPress-Core-Team plant einen kleineren Release für nächsten Monat, der folgende größere Neuigkeiten mitbringt: Eine verbesserte visuelle Experience im Editor durch ein TinyMCE-Update, das es vereinfacht, in Inline-Links hinein und heraus zu navigieren. Ein Update des WordPress-News-Widgets, wodurch zusätzlich zu den Neuigkeiten noch anstehende WordPress-Events angezeigt werden. Verschiedene neue Medien-Widgets für Bilder, Audio und Video [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Florian Brinkmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:903:\"<p>Das WordPress-Core-Team plant einen kleineren Release für nächsten Monat, der folgende größere Neuigkeiten mitbringt:</p>\n<ul>\n<li>Eine verbesserte visuelle Experience im Editor durch ein TinyMCE-Update, das es vereinfacht, in Inline-Links hinein und heraus zu navigieren.</li>\n<li>Ein Update des WordPress-News-Widgets, wodurch zusätzlich zu den Neuigkeiten noch anstehende WordPress-Events angezeigt werden.</li>\n<li>Verschiedene neue Medien-Widgets für Bilder, Audio und Video sowie visuelle Bearbeitungsmöglichkeiten für das Text-Widget.</li>\n</ul>\n<p>Ihr könnt die Beta mit dem <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">Beta-Tester-Plugin</a> installieren oder den Trunk nutzen, um die neuen Funktionen zu testen. Ziele des Releases sind die Arbeit mit Links im visuellen Editor intuitiver und Widgets für neue und bestehende User einfacher nutzbar zu machen.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"WordPress 4.7.4 Wartungs-Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://de.wordpress.org/2017/04/wordpress-4-7-4-wartungs-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Apr 2017 19:03:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2618\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:474:\"Heute wurde die finale WordPress-Version 4.7.4 veröffentlicht. Das Wartungs-Release beinhaltet 47 Fehlerbereinigungen sowie Verbesserungen. Hervorzuheben sind insbesondere die Beseitigung eines Konflikts zwischen der kommenden Chrome-Version und dem visuellen Editor, ein Bugfix für Inkonsistenzen bei der Media-Handhabung sowie weitere Verbesserungen an der REST-API. Alle Änderungen können in den Release Notes und dieser kompletten Liste nachgelesen werden. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Angelika Reisiger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4978:\"<p>Heute wurde die finale <a href=\"https://wordpress.org/news/2017/04/wordpress-4-7-4/\">WordPress-Version 4.7.4 veröffentlicht</a>. Das Wartungs-Release beinhaltet 47 Fehlerbereinigungen sowie Verbesserungen. Hervorzuheben sind insbesondere die Beseitigung eines Konflikts zwischen der kommenden Chrome-Version und dem visuellen Editor, ein Bugfix für Inkonsistenzen bei der Media-Handhabung sowie weitere Verbesserungen an der REST-API. Alle Änderungen können in den <a href=\"https://codex.wordpress.org/Version_4.7.4\">Release Notes</a> und dieser <a href=\"https://core.trac.wordpress.org/log/branches/4.7?rev=40487&amp;stop_rev=40224\">kompletten Liste</a> nachgelesen werden.</p>\n<p><span id=\"more-2618\"></span></p>\n<p>Du kannst das Update auf WordPress 4.7.4 entweder im Adminbereich über das Dashboard -&gt; Aktualisierungen und dem Klick auf den Button &#8222;Jetzt aktualisieren&#8220; durchführen oder WordPress 4.7.4 <a href=\"https://wordpress.org/download/\">hier herunterladen</a>.</p>\n<p>Für Websites, bei denen die automatischen Hintergrund-Updates entsprechend <a href=\"https://de.wordpress.org/2015/04/die-hintergrund-updates-von-wordpress-was-genau-passiert-da-eigentlich/\">konfiguriert sind</a>, werden die Updates bereits ausgerollt und das System wird automatisch aktualisiert.</p>\n<p>Vielen Dank an alle, die ihren Teil zur Entwicklung von WordPress 4.7.4 beigesteuert haben:</p>\n<p><a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/aussieguy123/\">aussieguy123</a>, <a href=\"https://profiles.wordpress.org/blobfolio/\">Blobfolio</a>, <a href=\"https://profiles.wordpress.org/boldwater/\">boldwater</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/bor0/\">Boro Sitnikovski</a>, <a href=\"https://profiles.wordpress.org/chesio/\">chesio</a>, <a href=\"https://profiles.wordpress.org/curdin/\">Curdin Krummenacher</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a>, <a href=\"https://profiles.wordpress.org/nerrad/\">Darren Ethier (nerrad)</a>, <a href=\"https://profiles.wordpress.org/davidakennedy/\">David A. Kennedy</a>, <a href=\"https://profiles.wordpress.org/davidbenton/\">davidbenton</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling (ocean90)</a>, <a href=\"https://profiles.wordpress.org/eclev91/\">eclev91</a>, <a href=\"https://profiles.wordpress.org/iseulde/\">Ella Van Dorpe</a>, <a href=\"https://profiles.wordpress.org/ghosttoast/\">Gustave F. Gerhardt</a>, <a href=\"https://profiles.wordpress.org/ig_communitysites/\">ig_communitysites</a>, <a href=\"https://profiles.wordpress.org/jnylen0/\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/karinedo/\">karinedo</a>, <a href=\"https://profiles.wordpress.org/lukasbesch/\">lukasbesch</a>, <a href=\"https://profiles.wordpress.org/maguiar/\">maguiar</a>, <a href=\"https://profiles.wordpress.org/matheusgimenez/\">MatheusGimenez</a>, <a href=\"https://profiles.wordpress.org/mboynes/\">Matthew Boynes</a>, <a href=\"https://profiles.wordpress.org/mattwiebe/\">Matt Wiebe</a>, <a href=\"https://profiles.wordpress.org/mayurk/\">Mayur Keshwani</a>, <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/delawski/\">Piotr Delawski</a>, <a href=\"https://profiles.wordpress.org/pratikshrestha/\">Pratik Shrestha</a>, <a href=\"https://profiles.wordpress.org/programmin/\">programmin</a>, <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a>, <a href=\"https://profiles.wordpress.org/sagarkbhatt/\">sagarkbhatt</a>, <a href=\"https://profiles.wordpress.org/sagarprajapati/\">Sagar Prajapati</a>, <a href=\"https://profiles.wordpress.org/sboisvert/\">sboisvert</a>, <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a>, <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a>, <a href=\"https://profiles.wordpress.org/timmydcrawford/\">Timmy Crawford</a>, <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a>, und <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 4.7.4 Release Candidate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://de.wordpress.org/2017/04/wordpress-4-7-4-release-candidate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 18 Apr 2017 19:52:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Entwicklung\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2610\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:416:\"Nach sechs Wochen der Entwicklung ist jetzt ein Release Candidate für WordPress 4.7.4 verfügbar. Dieser Wartungs-Release behebt 46 Bugs, die für 4.7 gemeldet wurden. Die finale Version wird voraussichtlich am Donnerstag, den 20. April 2017 veröffentlicht. Der Status Release Candidate kennzeichnet eine nahezu fertige Entwicklung, die jedoch noch letzten Überprüfungen unterzogen werden muss, um nach [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Angelika Reisiger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2964:\"<p>Nach sechs Wochen der Entwicklung ist jetzt ein <a href=\"https://make.wordpress.org/core/2017/04/18/4-7-4-release-candidate/\">Release Candidate für WordPress 4.7.4</a> verfügbar. Dieser Wartungs-Release behebt 46 Bugs, die für 4.7 gemeldet wurden. Die finale Version wird voraussichtlich am Donnerstag, den 20. April 2017 veröffentlicht.</p>\n<p><span id=\"more-2610\"></span></p>\n<p>Der Status Release Candidate kennzeichnet eine nahezu fertige Entwicklung, die jedoch noch letzten Überprüfungen unterzogen werden muss, um nach Möglichkeit die Kompatibilität mit Tausenden von Plugins und Themes zu gewährleisten.</p>\n<p>Seit dem Release von WordPress 4.7 am 6. Dezember 2016 wurde die Version 4.7.x  <a href=\"https://wordpress.org/download/counter/?branch=4.7\">fast 60 Millionen Mal heruntergeladen</a>. Bitte hilf mit und teste den aktuellen Release Candidate um eventuell noch vorhandene Bugs zu finden und sicherzustellen, dass diese bis zur finalen Version behoben sind.</p>\n<h2>So kannst du mithelfen</h2>\n<p>Wie zuvor bereits angedeutet sind Release Candidates nicht für den Einsatz auf öffentlichen Websites geeignet. Jetzt ist hingegen die beste Zeit für das Testen von WordPress 4.7.4 (RC), um bereits im Vorfeld Unverträglichkeiten mit den eingesetzten Erweiterungen oder Themes zu erkennen und diese sowie auch Bugs im RC in dem<a href=\"https://wordpress.org/support/forum/alphabeta\"> Alpha/Beta Bereich</a> der Support-Foren zu melden. Installiere dafür entweder das Plugin<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\"> WordPress Beta Tester</a> oder den<a href=\"https://wordpress.org/wordpress-4.7.4-RC1.zip\"> Release Candidate</a> (zip).</p>\n<p>Solltest du damit vertraut sein, einen reproduzierbaren Bug-Report zu schreiben, erstelle bitte ein Ticket im<a href=\"https://make.wordpress.org/core/reports/\"> WordPress Trac</a>. Dort kannst du außerdem eine<a href=\"https://make.wordpress.org/core/reports/\"> Liste aller bereits gemeldeten Fehler</a> einsehen.</p>\n<h2>Beachtenswerte Bug Fixes</h2>\n<p>Es existieren ein paar nennenswerte Probleme, die mit dem Release gefixt werden Das erste betrifft defekte Video-/Audio-Thumbnails, wenn eine Mediendatei hochgeladen wird (<a href=\"https://core.trac.wordpress.org/ticket/40075\">#40075</a>). Außerdem besteht eine Inkompatibilität zwischen der kommenden Chrome-Version und dem visuellen Editor (<a href=\"https://core.trac.wordpress.org/ticket/40305\">#40305</a>), die durch die Aktualisierung des TinyMCE-Editors behoben wurde. Ferner hat die REST-API Verbesserungen in Relation zur Daten-Handhabung erhalten (<a href=\"https://core.trac.wordpress.org/ticket/39854\">#39854</a>,<a href=\"https://core.trac.wordpress.org/ticket/40136\"> #40136</a>).</p>\n<h2>Alle Änderungen</h2>\n<p>Die Liste der geschlossenen Tickets findest du in der <a href=\"https://make.wordpress.org/core/2017/04/18/4-7-4-release-candidate/\">offiziellen Ankündigung</a> des Release Candidates.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"WordPress 4.7.3 Sicherheits- und Wartungs-Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://de.wordpress.org/2017/03/wordpress-4-7-3-sicherheits-und-wartungs-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2017 18:59:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:10:\"Sicherheit\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2549\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:463:\"Heute wurde WordPress 4.7.3 veröffentlicht. Dabei handelt es sich um einen Sicherheits-Release für alle vorherigen Versionen, weshalb ein Update stark empfohlen wird. WordPress 4.7.2 und früher sind von sechs Sicherheitslücken betroffen: Cross-Site-Scripting-Lücke über Metadaten von Medien-Dateien. Gemeldet von Chris Andrè Dale, Yorick Koster und Simon P. Briggs. Control-Zeichen können die URL-Validierung für Redirects austricksen. Gemeldet [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Florian Brinkmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6272:\"<p>Heute wurde WordPress 4.7.3 veröffentlicht. Dabei handelt es sich um einen Sicherheits-Release für alle vorherigen Versionen, weshalb ein Update stark empfohlen wird.</p>\n<p><span id=\"more-2549\"></span></p>\n<p>WordPress 4.7.2 und früher sind von sechs Sicherheitslücken betroffen:</p>\n<ol>\n<li>Cross-Site-Scripting-Lücke über Metadaten von Medien-Dateien. Gemeldet von<a href=\"https://www.securesolutions.no/\"> Chris Andrè Dale</a>,<a href=\"https://twitter.com/yorickkoster\"> Yorick Koster</a> und Simon P. Briggs.</li>\n<li>Control-Zeichen können die URL-Validierung für Redirects austricksen. Gemeldet von <a href=\"http://www.danielchatfield.com/\">Daniel Chatfield</a>.</li>\n<li>Administratoren können ungewollte Dateien über die Löschfunktion für Plugins entfernen. Gemeldet von <a href=\"http://b.360.cn/\">xuliang</a>.</li>\n<li>Cross-Site-Scripting-Lücke via Video-URLs in YouTube-Embeds. Gemeldet von <a href=\"https://profiles.wordpress.org/ddsucurinet/\">Daniel Cid</a>.</li>\n<li>Cross-Site-Scripting-Lücke über Namen von Taxonomie-Termen. Gemeldet von <a href=\"https://profiles.wordpress.org/deltamgm2\">Delta</a>.</li>\n<li>Cross-Site-Request-Forgery in <i>Press This</i>, was zu exzessiver Nutzung von Server-Ressourcen führt. Gemeldet von Sipke Mellema.</li>\n</ol>\n<p>Vielen Dank für den <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">verantwortungsbewussten Umgang</a> mit dem Wissen über die Sicherheitslücken.</p>\n<p>Zusätzlich zu den Sicherheits-Fixes enthält WordPress 4.7.3 noch 39 Bugfixes. Für mehr Infos könnt ihr euch die <a href=\"https://codex.wordpress.org/Version_4.7.3\">Release-Notes</a> oder die <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=4.7.3&amp;group=component&amp;col=id&amp;col=summary&amp;col=component&amp;col=status&amp;col=owner&amp;col=type&amp;col=priority&amp;col=keywords&amp;order=priority\">Liste aller Änderungen anschauen</a>.</p>\n<p>Falls ihr automatische Updates deaktiviert habt, oder sie noch nicht bei euch angekommen sind, könnt ihr einfach über das Backend auf die neue Version aktualisieren. <a href=\"https://de.wordpress.org/\">Herunterladen könnt ihr euch die neue Version direkt hier von der Startseite</a>.</p>\n<p>Danke an alle, die zu 4.7.3 beigetragen haben: <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a>,<a href=\"https://profiles.wordpress.org/adamsilverstein/\"> Adam Silverstein</a>,<a href=\"https://profiles.wordpress.org/xknown/\"> Alex Concha</a>,<a href=\"https://profiles.wordpress.org/afercia/\"> Andrea Fercia</a>,<a href=\"https://profiles.wordpress.org/azaozz/\"> Andrew Ozz</a>,<a href=\"https://profiles.wordpress.org/asalce/\"> asalce</a>,<a href=\"https://profiles.wordpress.org/blobfolio/\"> blobfolio</a>,<a href=\"https://profiles.wordpress.org/gitlost/\"> bonger</a>,<a href=\"https://profiles.wordpress.org/boonebgorges/\"> Boone Gorges</a>,<a href=\"https://profiles.wordpress.org/bor0/\"> Boro Sitnikovski</a>,<a href=\"https://profiles.wordpress.org/bradyvercher/\"> Brady Vercher</a>,<a href=\"https://profiles.wordpress.org/drrobotnik/\"> Brandon Lavigne</a>,<a href=\"https://profiles.wordpress.org/bhargavbhandari90/\"> Bunty</a>,<a href=\"https://profiles.wordpress.org/ccprog/\"> ccprog</a>,<a href=\"https://profiles.wordpress.org/ketuchetan/\"> chetansatasiya</a>,<a href=\"https://profiles.wordpress.org/davidakennedy/\"> David A. Kennedy</a>,<a href=\"https://profiles.wordpress.org/dlh/\"> David Herrera</a>,<a href=\"https://profiles.wordpress.org/dhanendran/\"> Dhanendran</a>,<a href=\"https://profiles.wordpress.org/dd32/\"> Dion Hulse</a>,<a href=\"https://profiles.wordpress.org/ocean90/\"> Dominik Schilling (ocean90)</a>,<a href=\"https://profiles.wordpress.org/drivingralle/\"> Drivingralle</a>,<a href=\"https://profiles.wordpress.org/iseulde/\"> Ella Van Dorpe</a>,<a href=\"https://profiles.wordpress.org/pento/\"> Gary Pendergast</a>,<a href=\"https://profiles.wordpress.org/iandunn/\"> Ian Dunn</a>,<a href=\"https://profiles.wordpress.org/ipstenu/\"> Ipstenu (Mika Epstein)</a>,<a href=\"https://profiles.wordpress.org/jnylen0/\"> James Nylen</a>,<a href=\"https://profiles.wordpress.org/jazbek/\"> jazbek</a>,<a href=\"https://profiles.wordpress.org/jeremyfelt/\"> Jeremy Felt</a>,<a href=\"https://profiles.wordpress.org/jpry/\"> Jeremy Pry</a>,<a href=\"https://profiles.wordpress.org/joehoyle/\"> Joe Hoyle</a>,<a href=\"https://profiles.wordpress.org/joemcgill/\"> Joe McGill</a>,<a href=\"https://profiles.wordpress.org/johnbillion/\"> John Blackbourn</a>,<a href=\"https://profiles.wordpress.org/johnjamesjacoby/\"> John James Jacoby</a>,<a href=\"https://profiles.wordpress.org/desrosj/\"> Jonathan Desrosiers</a>,<a href=\"https://profiles.wordpress.org/ryelle/\"> Kelly Dwan</a>,<a href=\"https://profiles.wordpress.org/markoheijnen/\"> Marko Heijnen</a>,<a href=\"https://profiles.wordpress.org/matheusgimenez/\"> MatheusGimenez</a>,<a href=\"https://profiles.wordpress.org/mnelson4/\"> Mike Nelson</a>,<a href=\"https://profiles.wordpress.org/mikeschroder/\"> Mike Schroder</a>,<a href=\"https://profiles.wordpress.org/codegeass/\"> Muhammet Arslan</a>,<a href=\"https://profiles.wordpress.org/celloexpressions/\"> Nick Halsey</a>,<a href=\"https://profiles.wordpress.org/swissspidy/\"> Pascal Birchler</a>,<a href=\"https://profiles.wordpress.org/pbearne/\"> Paul Bearne</a>,<a href=\"https://profiles.wordpress.org/pavelevap/\"> pavelevap</a>,<a href=\"https://profiles.wordpress.org/peterwilsoncc/\"> Peter Wilson</a>,<a href=\"https://profiles.wordpress.org/rachelbaker/\"> Rachel Baker</a>,<a href=\"https://profiles.wordpress.org/reldev/\"> reldev</a>,<a href=\"https://profiles.wordpress.org/sanchothefat/\"> Robert O’Rourke</a>,<a href=\"https://profiles.wordpress.org/welcher/\"> Ryan Welcher</a>,<a href=\"https://profiles.wordpress.org/sanketparmar/\"> Sanket Parmar</a>,<a href=\"https://profiles.wordpress.org/seanchayes/\"> Sean Hayes</a>,<a href=\"https://profiles.wordpress.org/sergeybiryukov/\"> Sergey Biryukov</a>,<a href=\"https://profiles.wordpress.org/netweb/\"> Stephen Edgar</a>,<a href=\"https://profiles.wordpress.org/triplejumper12/\"> triplejumper12</a>,<a href=\"https://profiles.wordpress.org/westonruter/\"> Weston Ruter</a> und<a href=\"https://profiles.wordpress.org/wpfo/\"> wpfo</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"WordPress 4.7.3 RC1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://de.wordpress.org/2017/02/wordpress-4-7-3-rc1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Feb 2017 08:43:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Entwicklung\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://de.wordpress.org/?p=2545\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:408:\"Vor Kurzem wurde der erste Release-Candidate für WordPress 4.7.3 veröffentlicht. Dabei handelt es sich um eine Entwicklungsversion, weshalb der Live-Einsatz nicht empfohlen wird. Um den Release zu testen, könnt ihr euch die ZIP herunterladen. Das Core-Team hat Verbesserungen am Dateiupload vorgenommen, bei dem es nach 4.7.1 zu Problemen gekommen ist. So sollten sich beispielsweise SVG-Dateien [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Florian Brinkmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1522:\"<p>Vor Kurzem wurde der erste Release-Candidate für WordPress 4.7.3 veröffentlicht. Dabei handelt es sich um eine Entwicklungsversion, weshalb der Live-Einsatz nicht empfohlen wird. Um den Release zu testen, könnt ihr euch die <a href=\"https://wordpress.org/wordpress-4.7.3-RC1.zip\">ZIP</a> herunterladen.</p>\n<p><span id=\"more-2545\"></span></p>\n<p>Das Core-Team hat Verbesserungen am Dateiupload vorgenommen, bei dem es nach 4.7.1 zu Problemen gekommen ist. So sollten sich beispielsweise SVG-Dateien nun wieder hochladen lassen, wenn der MIME-Typ erlaubt wurde. Falls ihr das Plugin <i>Disable Real MIME Check</i> installiert habt, löscht es und versucht danach noch einmal, die vorher problematischen Dateien hochzuladen.</p>\n<p>Viele der Änderungen in 4.7.3 betreffen die REST-API, insbesondere Fixes für die Behandlung des Datums von Beiträgen und Kommentaren, den <code>wp-api.js</code>-Client und ein paar weitere Parameter. <a href=\"https://developer.wordpress.org/rest-api/changelog/\">Eine komplette Liste findet ihr auf der Changelog-Seite der REST-API</a>.</p>\n<p>Zudem wurden auch einige Fixes und UX-Verbesserungen am Customizer vorgenommen.</p>\n<p><a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=4.7.3&amp;group=component&amp;col=id&amp;col=summary&amp;col=component&amp;col=status&amp;col=owner&amp;col=type&amp;col=priority&amp;col=keywords&amp;order=priority\">Eine Liste mit allen Änderungen findet ihr im Trac</a>. Der finale Release ist für den 6. März geplant.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:47:\"https://de.wordpress.org/category/release/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Sun, 02 Jul 2017 21:17:41 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Fri, 23 Jun 2017 12:10:25 GMT\";s:4:\"link\";s:61:\"<https://de.wordpress.org/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}}s:5:\"build\";s:14:\"20170702211417\";}','no'),
	(127,'_transient_timeout_feed_mod_e5132d2944a7be60661ee809629a6d9c','1499073462','no'),
	(128,'_transient_feed_mod_e5132d2944a7be60661ee809629a6d9c','1499030262','no'),
	(129,'_site_transient_update_themes','O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1499030266;s:7:\"checked\";a:4:{s:13:\"twentyfifteen\";s:3:\"1.8\";s:15:\"twentyseventeen\";s:3:\"1.3\";s:13:\"twentysixteen\";s:3:\"1.3\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}','no'),
	(130,'_transient_timeout_feed_8d5c87fbe8c82bb2500f5d58f08a433a','1499073463','no'),
	(131,'_transient_feed_8d5c87fbe8c82bb2500f5d58f08a433a','a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:2:\"\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:4:\"0.92\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:37:\"\n	\n	\n	\n	\n	\n	\n\n	\n\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Deutschsprachiger Channel – WordPress Deutsch Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"http://de.planetwp.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"Der Planet listet Inhalte ausgewählter Blogs auf, die regelmäßig Beiträge zu WordPress publizieren.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 02 Jul 2017 10:43:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"docs\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://backend.userland.com/rss092\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"de-DE\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WordPress-Wochenrückblick KW26: wöchentliches Meeting für neue Contributors und mehr\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"https://florianbrinkmann.com/4086/wordpress-wochenrueckblick-woechentliches-meeting-fuer-neue-contributors/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"WordPress Datenbank umziehen mit der Kommandozeile\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://heikomamerow.de/2017/06/29/wordpress-datenbank-umziehen-mit-der-kommandozeile/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Den WordPress-Editor um einen eigenen Button erweitern\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"http://tracking.feedpress.it/link/14418/6101367\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"Optimierung der WordPress-Performance: noch ein Beispiel\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://www.perun.net/2017/06/26/optimierung-der-wordpress-performance-noch-ein-beispiel/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"WordPress-Wochenrückblick KW25: 4.9-Brainstorming und mehr\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://florianbrinkmann.com/4058/wordpress-wochenrueckblick-4-9-brainstorming/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"WP Sofa: One mike in Paris – WordCamp EU #WCEU (Folge 42)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wp-sofa.de/podcasts/one-mike-in-paris-wordcamp-eu-recap-wceu-folge-42/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"Die Zukunft von WordPress sind Blocks: Neuer Gutenberg Editor als Beta Plugin veröffentlicht\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"https://themecoder.de/2017/06/23/die-zukunft-von-wordpress-sind-blocks-neuer-gutenberg-editor-im-beta-test/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Aktuell Probleme mit Release-ZIPs auf de.wordpress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"https://de.wordpress.org/2017/06/aktuell-probleme-mit-release-zips-auf-de-wordpress-org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"Den Kurzlink-Button in WordPress wieder anzeigen lassen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://www.perun.net/2017/06/19/den-kurzlink-button-in-wordpress-wieder-anzeigen-lassen/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n		\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:3:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"Webschale: Q&amp;A mit Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://webschale.de/2017/qa-mit-matt-mullenweg/?pk_campaign=feed&pk_kwd=qa-mit-matt-mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:8;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:7:{s:4:\"date\";s:29:\"Sun, 02 Jul 2017 21:17:42 GMT\";s:6:\"server\";s:6:\"Apache\";s:12:\"x-powered-by\";s:9:\"PHP/7.0.0\";s:4:\"etag\";s:34:\"\"58363d5648d39a8aeed4606c5c51755f\"\";s:4:\"link\";s:59:\"<http://de.planetwp.org/wp-json/>; rel=\"https://api.w.org/\"\";s:13:\"last-modified\";s:29:\"Sun, 02 Jul 2017 10:43:00 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";}}s:5:\"build\";s:14:\"20170702211417\";}','no'),
	(132,'_transient_timeout_feed_mod_8d5c87fbe8c82bb2500f5d58f08a433a','1499073463','no'),
	(133,'_transient_feed_mod_8d5c87fbe8c82bb2500f5d58f08a433a','1499030263','no'),
	(134,'_transient_timeout_dash_v2_898c881de4a92ca37616885905bba3b7','1499073463','no'),
	(135,'_transient_dash_v2_898c881de4a92ca37616885905bba3b7','<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://de.wordpress.org/2017/06/wordpress-4-8-evans/\'>WordPress 4.8 »Evans«</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://florianbrinkmann.com/4086/wordpress-wochenrueckblick-woechentliches-meeting-fuer-neue-contributors/\'>WordPress-Wochenrückblick KW26: wöchentliches Meeting für neue Contributors und mehr</a></li><li><a class=\'rsswidget\' href=\'https://heikomamerow.de/2017/06/29/wordpress-datenbank-umziehen-mit-der-kommandozeile/\'>WordPress Datenbank umziehen mit der Kommandozeile</a></li><li><a class=\'rsswidget\' href=\'http://tracking.feedpress.it/link/14418/6101367\'>Den WordPress-Editor um einen eigenen Button erweitern</a></li></ul></div>','no'),
	(136,'_site_transient_update_plugins','O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1499030264;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:2:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:5:\"3.3.2\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:56:\"https://downloads.wordpress.org/plugin/akismet.3.3.2.zip\";}s:9:\"hello.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:3:\"1.6\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/hello-dolly.1.6.zip\";}}}','no'),
	(138,'_transient_is_multi_author','0','yes'),
	(139,'current_theme','wp_kittn','yes'),
	(140,'theme_mods_wptest3','a:1:{i:0;b:0;}','yes'),
	(141,'theme_switched','','yes');

/*!40000 ALTER TABLE `wpkittn_options` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `wpkittn_postmeta`;

CREATE TABLE `wpkittn_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_postmeta` WRITE;
/*!40000 ALTER TABLE `wpkittn_postmeta` DISABLE KEYS */;

INSERT INTO `wpkittn_postmeta` (`meta_id`, `post_id`, `meta_key`, `meta_value`)
VALUES
	(1,2,'_wp_page_template','default');

/*!40000 ALTER TABLE `wpkittn_postmeta` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `wpkittn_posts`;

CREATE TABLE `wpkittn_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_posts` WRITE;
/*!40000 ALTER TABLE `wpkittn_posts` DISABLE KEYS */;

INSERT INTO `wpkittn_posts` (`ID`, `post_author`, `post_date`, `post_date_gmt`, `post_content`, `post_title`, `post_excerpt`, `post_status`, `comment_status`, `ping_status`, `post_password`, `post_name`, `to_ping`, `pinged`, `post_modified`, `post_modified_gmt`, `post_content_filtered`, `post_parent`, `guid`, `menu_order`, `post_type`, `post_mime_type`, `comment_count`)
VALUES
	(1,1,'2017-07-02 23:17:30','2017-07-02 21:17:30','Willkommen zur deutschen Version von WordPress. Dies ist der erste Beitrag. Du kannst ihn bearbeiten oder löschen. Und dann starte mit dem Schreiben!','Hallo Welt!','','publish','open','open','','hallo-welt','','','2017-07-02 23:17:30','2017-07-02 21:17:30','',0,'http://wptest3.local/?p=1',0,'post','',1),
	(2,1,'2017-07-02 23:17:30','2017-07-02 21:17:30','Dies ist ein Beispiel einer statischen Seite. Du kannst sie bearbeiten und beispielsweise Infos über dich oder deine Website eingeben, damit die Leser wissen, woher du kommst und was du machst.\n\nDu kannst entweder beliebig viele Hauptseiten (wie diese hier) anlegen – oder auch Unterseiten, die sich in der Hierachiestruktur den Hauptseiten unterordnen. Du kannst diese alle innerhalb von WordPress ändern und verwalten.\n\nAls stolzer Besitzer einer neuen WordPress-Seite solltest du jetzt zur Übersichtsseite, dem <a href=\"http://wptest3.local/wp-admin/\">Dashboard</a> gehen, diese Seite hier löschen und damit loslegen, eigene Inhalte zu erstellen. Viel Spaß!','Beispiel-Seite','','publish','closed','open','','beispiel-seite','','','2017-07-02 23:17:30','2017-07-02 21:17:30','',0,'http://wptest3.local/?page_id=2',0,'page','',0),
	(3,1,'2017-07-02 23:17:39','0000-00-00 00:00:00','','Automatisch gespeicherter Entwurf','','auto-draft','open','open','','','','','2017-07-02 23:17:39','0000-00-00 00:00:00','',0,'http://wptest3.local/?p=3',0,'post','',0);

/*!40000 ALTER TABLE `wpkittn_posts` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `wpkittn_term_relationships`;

CREATE TABLE `wpkittn_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_term_relationships` WRITE;
/*!40000 ALTER TABLE `wpkittn_term_relationships` DISABLE KEYS */;

INSERT INTO `wpkittn_term_relationships` (`object_id`, `term_taxonomy_id`, `term_order`)
VALUES
	(1,1,0);

/*!40000 ALTER TABLE `wpkittn_term_relationships` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `wpkittn_term_taxonomy`;

CREATE TABLE `wpkittn_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_term_taxonomy` WRITE;
/*!40000 ALTER TABLE `wpkittn_term_taxonomy` DISABLE KEYS */;

INSERT INTO `wpkittn_term_taxonomy` (`term_taxonomy_id`, `term_id`, `taxonomy`, `description`, `parent`, `count`)
VALUES
	(1,1,'category','',0,1);

/*!40000 ALTER TABLE `wpkittn_term_taxonomy` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `wpkittn_termmeta`;

CREATE TABLE `wpkittn_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

DROP TABLE IF EXISTS `wpkittn_terms`;

CREATE TABLE `wpkittn_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_terms` WRITE;
/*!40000 ALTER TABLE `wpkittn_terms` DISABLE KEYS */;

INSERT INTO `wpkittn_terms` (`term_id`, `name`, `slug`, `term_group`)
VALUES
	(1,'Allgemein','allgemein',0);

/*!40000 ALTER TABLE `wpkittn_terms` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `wpkittn_usermeta`;

CREATE TABLE `wpkittn_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_usermeta` WRITE;
/*!40000 ALTER TABLE `wpkittn_usermeta` DISABLE KEYS */;

INSERT INTO `wpkittn_usermeta` (`umeta_id`, `user_id`, `meta_key`, `meta_value`)
VALUES
	(1,1,'nickname','kittn'),
	(2,1,'first_name',''),
	(3,1,'last_name',''),
	(4,1,'description',''),
	(5,1,'rich_editing','true'),
	(6,1,'comment_shortcuts','false'),
	(7,1,'admin_color','fresh'),
	(8,1,'use_ssl','0'),
	(9,1,'show_admin_bar_front','true'),
	(10,1,'locale',''),
	(11,1,'wpkittn_capabilities','a:1:{s:13:\"administrator\";b:1;}'),
	(12,1,'wpkittn_user_level','10'),
	(13,1,'dismissed_wp_pointers',''),
	(14,1,'show_welcome_panel','1'),
	(15,1,'session_tokens','a:1:{s:64:\"d02bf5a41a0afb8bd969007ecff88e395a7f4a377987d51b8a69e1625969a581\";a:4:{s:10:\"expiration\";i:1499203058;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:121:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36\";s:5:\"login\";i:1499030258;}}'),
	(16,1,'wpkittn_dashboard_quick_press_last_post_id','3'),
	(17,1,'community-events-location','a:1:{s:2:\"ip\";s:2:\"::\";}');

/*!40000 ALTER TABLE `wpkittn_usermeta` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `wpkittn_users`;

CREATE TABLE `wpkittn_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wpkittn_users` WRITE;
/*!40000 ALTER TABLE `wpkittn_users` DISABLE KEYS */;

INSERT INTO `wpkittn_users` (`ID`, `user_login`, `user_pass`, `user_nicename`, `user_email`, `user_url`, `user_registered`, `user_activation_key`, `user_status`, `display_name`)
VALUES
	(1,'kittn','$P$B1g23F.yTevzhEUnn3OtkSU0IEm49K0','kittn','hello@kittn.de','','2017-07-02 21:17:30','',0,'kittn');

/*!40000 ALTER TABLE `wpkittn_users` ENABLE KEYS */;
UNLOCK TABLES;

/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
